class Node:
    next_node = None

    def __init__(self, value):
        self.value = value

# Homework:
# Make a linked list class with the functions:
# - append(node): add a node to the end of the list
# - insert(node, index): add a node to the middle of the list
# - remove(index): remove the first matching node from the list

class LinkedList:
    head = None
    tail = None

    def append(self, thing):
        if self.head==None:
            self.head=Node(value=thing)
            self.tail=self.head
            return
        self.tail.next_node=Node(value=thing)
        self.tail=self.tail.next_node


list1=LinkedList()
list1.append('hi')
list1.append('hi again')
list1.append('why am I saying hi so many times?')
print(list1.head.value)
print(list1.head.next_node.value)
print(list1.head.next_node.next_node.value)

